1. Shoruk3n

    OP Shoruk3n GBAtemp Regular
    Member

    Joined:
    Jul 20, 2018
    Messages:
    106
    Country:
    United States
    Hey all,

    Can anyone point me to where I can find the following:

    1. Minimum firmware requirements for specific games
    2. Current firmware supported by CFW (any CFW will do, just looking for the info)

    Thanks!
     
  2. Lacius

    Lacius GBAtemp Legend
    Member

    Joined:
    May 11, 2008
    Messages:
    13,663
    Country:
    United States
    Atmosphere currently supports 10.0.4, the latest Switch version as of this post, if you have an RCM exploitable device. If you have an ipatched system, the sysNAND must be kept on 4.1, and the emuNAND can be updated to 10.0.4. If you have a newer system that is not RCM vulnerable and is on a system version higher than 4.1, then it cannot be hacked without a TX modchip.

    Software version requirements for games are complicated, since there are various requirements that can be bypassed and others that cannot. It also becomes more complicated since game updates and DLC can increase those requirements. It is recommended to keep your system up to date if your CFW supports it. Always check your CFW for compatibility updates before updating your system.
     
    Last edited by Lacius, Jun 6, 2020
    Lightyose likes this.
  3. Shoruk3n

    OP Shoruk3n GBAtemp Regular
    Member

    Joined:
    Jul 20, 2018
    Messages:
    106
    Country:
    United States
    Wow, thank you for the informative reply! I currently use sx os, but I could easily be convinced to switch to atmosphere, I've been wanting to try layerdfs for like 2 years anyway lol. If I were to switch, would I need to format my sd card? I have a lot of saves I don't want to part with...

    As far as bypassing requirements, is there somewhere specific I can find more info on the subject?
     
  4. Lacius

    Lacius GBAtemp Legend
    Member

    Joined:
    May 11, 2008
    Messages:
    13,663
    Country:
    United States
    SX OS is also compatible with 10.0.4, so you don't have to switch. If you were to switch, you would not have to format your SD card. Also, saves are not stored on the SD card; they are stored on the system's internal NAND. The SD card stores installed titles (if you chose to install them there).

    If you install your games using blawar's Tinfoil, you can bypass most requirements. You can also manually patch games yourself. However, the SDK used to make a game is not something that can be bypassed, since the game will be looking for dependencies on your system that are not present because your system version is too low. For that reason, if you want to be able to play newer games, you will be required to update sooner or later. It's also easier to keep your system updated than it is to worry about version requirements and patching games.
     
  5. Shoruk3n

    OP Shoruk3n GBAtemp Regular
    Member

    Joined:
    Jul 20, 2018
    Messages:
    106
    Country:
    United States
    Oh interesting, I had been looking at threads on the sx os forums and it appeared that people were having issues with 10.x firmware on the sx beta that had support for it. I'm pretty sure the official sx os release doesn't have support for 10.x OFW.

    ...but if atmosphere has 10.0.4 support and I don't need to format my sd card, it's all a bit of a moot point because I might just migrate to atmosphere. Although, now that I think about it, I use sx os with emunand hidden partition. Can I still migrate all my stuff to atmo?
     
  6. Lacius

    Lacius GBAtemp Legend
    Member

    Joined:
    May 11, 2008
    Messages:
    13,663
    Country:
    United States
    Yes, you can still migrate to Atmosphere with relative ease.
     
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - questions, Firmware, related